import torch as th
import torch.nn as nn


class VDNMixer(nn.Module):
    def __init__(self):
        super(VDNMixer, self).__init__()
        self.hyper_b_1 = nn.Linear(32, 2)

    def forward(self, agent_qs, batch):
        return th.sum(agent_qs, dim=2, keepdim=True)